package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiParam;
import com.seewo.open.sdk.OpenApiRequest;

/**
 * seewo-open API: 更新学生信息
 *
 *
 * @author auto create
 * @since 2.0.1 2023-12-19
 */
public class StudentServiceUpdateStudentInfoRequest extends OpenApiRequest<StudentServiceUpdateStudentInfoParam, StudentServiceUpdateStudentInfoResult> {

    public StudentServiceUpdateStudentInfoRequest(StudentServiceUpdateStudentInfoParam param) {
        this();
        setBizModel(param);
    }

    public StudentServiceUpdateStudentInfoRequest() {
        setServerUrl("https://openapi.seewo.com");
        setPath("/seewo-yunban-api/student-service/update-student-info");
        setHttpMethod("POST");
    }

    public Class<StudentServiceUpdateStudentInfoResult> getResponseClass() {
        return StudentServiceUpdateStudentInfoResult.class;
    }

    public Class<StudentServiceUpdateStudentInfoParam> getDomainClass() {
        return StudentServiceUpdateStudentInfoParam.class;
    }
}

